/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.DetDiagramaAutobusDAO;
import com.rjconsultores.ventaboletos.entidad.DetDiagramaAutobus;
import com.rjconsultores.ventaboletos.service.DetDiagramaAutobusService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("detDiagramaAutobusService")
public class DetDiagramaAutobusServiceImpl implements DetDiagramaAutobusService {

    @Autowired
    private DetDiagramaAutobusDAO detDiagramaAtuobusDAO;

    public List<DetDiagramaAutobus> obtenerTodos() {
        return detDiagramaAtuobusDAO.obtenerTodos();
    }

    public DetDiagramaAutobus obtenerID(Short id) {
        return detDiagramaAtuobusDAO.obtenerID(id);
    }

    @Transactional
    public DetDiagramaAutobus suscribir(DetDiagramaAutobus entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return detDiagramaAtuobusDAO.suscribir(entidad);
    }

    @Transactional
    public DetDiagramaAutobus actualizacion(DetDiagramaAutobus entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return detDiagramaAtuobusDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(DetDiagramaAutobus entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        detDiagramaAtuobusDAO.actualizacion(entidad);
    }

	@Override
	public DetDiagramaAutobus obtenerPorDiagramaAutobusAsiento(Integer diagramaAutobusId, String numAsiento) {
		return detDiagramaAtuobusDAO.obtenerPorDiagramaAutobusAsiento(diagramaAutobusId,numAsiento);
	}
}
